Subject: Re: bug#49897: 28.0.50; [PATCH] Make sense of url-retrieve-synchronously

From: dick <[email-masked]>
Date: Fri, 06 Aug 2021 09:09:32 -0400

I'm sorry to say the rewrite doesn't solve bug#49861 (hanging http GETs) for
me.  The process filter `url-http-generic-filter` just isn't seeing any data
from the remote site, and given the frequency of occurrence, it's not the
remote site's fault.  There's something off about the C-level network
descriptor handling for process filters.

While (in my mind) the url lisp code is not culpable, I'm still glad we rewrote
url-retrieve-synchronously.